<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>com.scytl.products.ov.sdm</groupId>
		<artifactId>ov-secure-data-manager</artifactId>
		<version>2.1.6</version>
	</parent>

	<artifactId>ov-secure-data-manager-backend</artifactId>
	<packaging>pom</packaging>
	<name>Secure Data Manager Backend</name>

    <properties>
        <java.version>1.8</java.version>
        <maven.compiler.plugin.version>3.2</maven.compiler.plugin.version>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <maven.javadoc.failOnError>false</maven.javadoc.failOnError>
        <swagger.springfox.version>2.2.2</swagger.springfox.version>
        <swagger.mavenplugin.version>3.1.1</swagger.mavenplugin.version>
        <jersey.version>2.14</jersey.version>
        <tomcat.version>8.5.32</tomcat.version>
        <org.jbehave.version>4.0.5</org.jbehave.version>
        <de.codecentric.jbehaverunner.version>1.2.0</de.codecentric.jbehaverunner.version>
        <jmockit.version>1.17</jmockit.version>
    </properties>

	<dependencyManagement>
		<dependencies>
			<!-- dependency management from Spring Boot -->
			<dependency>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-dependencies</artifactId>
				<version>${spring-boot.version}</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>
			<dependency>
				<groupId>org.apache.tomcat</groupId>
				<artifactId>tomcat-juli</artifactId>
				<version>${tomcat.version}</version>
			</dependency>
			<!-- local dependency -->
			<dependency>
				<groupId>com.scytl.products.ov.channel.commons.lib</groupId>
				<artifactId>ov-commons-lib</artifactId>
				<version>${ov-channel.version}</version>
			</dependency>
			<dependency>
				<groupId>com.scytl.products.ov.channel.commons</groupId>
				<artifactId>ov-commons-sign</artifactId>
				<version>${ov-channel.version}</version>
			</dependency>
			<dependency>
				<groupId>com.scytl.products.ov.channel.commons</groupId>
				<artifactId>ov-commons-beans</artifactId>
				<version>${ov-channel.version}</version>
			</dependency>
			<dependency>
				<groupId>com.scytl.products.ov.channel.commons.lib</groupId>
				<artifactId>ov-commons-lib-persistence</artifactId>
				<version>${ov-channel.version}</version>
			</dependency>
			<dependency>
				<groupId>com.scytl.products.ov.channel.commons</groupId>
				<artifactId>ov-commons-infrastructure</artifactId>
				<version>${ov-channel.version}</version>
			</dependency>
			<dependency>
				<groupId>com.scytl.products.ov.channel.commons</groupId>
				<artifactId>ov-commons-dto</artifactId>
				<version>${ov-channel.version}</version>
			</dependency>
			<dependency>
				<groupId>com.scytl.products.ov.channel.commons.lib</groupId>
				<artifactId>ov-commons-lib</artifactId>
				<version>${ov-channel.version}</version>
				<type>test-jar</type>
				<scope>test</scope>
			</dependency>
			<dependency>
				<groupId>com.scytl.cryptolib</groupId>
				<artifactId>cryptolib-certificates</artifactId>
				<version>${cryptolib.version}</version>
				<type>test-jar</type>
				<scope>test</scope>
			</dependency>
			<dependency>
				<groupId>com.scytl.products.oscore</groupId>
				<artifactId>logging-core</artifactId>
				<version>${logging.version}</version>
			</dependency>

			<!-- Bouncy Castle dependencies -->
			<dependency>
				<groupId>org.bouncycastle</groupId>
				<artifactId>bcprov-jdk15on</artifactId>
				<version>${bouncycastle.version}</version>
			</dependency>
			<dependency>
				<groupId>org.bouncycastle</groupId>
				<artifactId>bcpkix-jdk15on</artifactId>
				<version>${bouncycastle.version}</version>
				<exclusions>
					<exclusion>
						<groupId>org.bouncycastle</groupId>
						<artifactId>bcprov-jdk15on</artifactId>
					</exclusion>
				</exclusions>
			</dependency>

			<!-- Configuration engine - Commons module -->
			<dependency>
				<groupId>com.scytl.products.ov</groupId>
				<artifactId>config-commons</artifactId>
				<version>${project.version}</version>
			</dependency>
			<!-- Configuration engine - Shares module -->
			<dependency>
				<groupId>com.scytl.products.ov</groupId>
				<artifactId>config-shares</artifactId>
				<version>${project.version}</version>
			</dependency>

			<dependency>
				<groupId>com.scytl.math</groupId>
				<artifactId>scytl-math</artifactId>
				<version>${scytl-math.version}</version>
			</dependency>
			<dependency>
				<groupId>org.glassfish.jersey.core</groupId>
				<artifactId>jersey-client</artifactId>
				<version>${jersey.version}</version>
			</dependency>
			<dependency>
				<groupId>org.glassfish.jersey.media</groupId>
				<artifactId>jersey-media-json-jackson</artifactId>
				<version>${jersey.version}</version>
				<exclusions>
					<exclusion>
						<groupId>com.fasterxml.jackson.core</groupId>
						<artifactId>jackson-annotations</artifactId>
					</exclusion>
				</exclusions>
			</dependency>
			<dependency>
				<groupId>org.glassfish.jersey.core</groupId>
				<artifactId>jersey-common</artifactId>
				<version>${jersey.version}</version>
			</dependency>
			<dependency>
				<groupId>org.glassfish.jersey.bundles.repackaged</groupId>
				<artifactId>jersey-guava</artifactId>
				<version>${jersey.version}</version>
			</dependency>
			<!-- (updated) jackson deps -->
			<dependency>
				<groupId>com.fasterxml.jackson.core</groupId>
				<artifactId>jackson-core</artifactId>
				<version>${jackson.version}</version>
			</dependency>
			<dependency>
				<groupId>com.fasterxml.jackson.core</groupId>
				<artifactId>jackson-annotations</artifactId>
				<version>${jackson.version}</version>
			</dependency>
			<dependency>
				<groupId>com.fasterxml.jackson.core</groupId>
				<artifactId>jackson-databind</artifactId>
				<version>${jackson.version}</version>
			</dependency>
			<dependency>
				<groupId>com.fasterxml.jackson.jaxrs</groupId>
				<artifactId>jackson-jaxrs-base</artifactId>
				<version>${jackson.version}</version>
			</dependency>
			<dependency>
				<groupId>com.fasterxml.jackson.jaxrs</groupId>
				<artifactId>jackson-jaxrs-json-provider</artifactId>
				<version>${jackson.version}</version>
			</dependency>
			<dependency>
				<groupId>com.fasterxml.jackson.datatype</groupId>
				<artifactId>jackson-datatype-jdk8</artifactId>
				<version>${jackson.version}</version>
			</dependency>
			<dependency>
				<groupId>com.fasterxml.jackson.datatype</groupId>
				<artifactId>jackson-datatype-jsr310</artifactId>
				<version>${jackson.version}</version>
			</dependency>
			<dependency>
				<groupId>javax.xml.bind</groupId>
				<artifactId>jaxb-api</artifactId>
				<version>${javax.xml.bind.version}</version>
			</dependency>
			<dependency>
				<groupId>com.sun.xml.bind</groupId>
				<artifactId>jaxb-impl</artifactId>
				<version>${javax.xml.bind.version}</version>
			</dependency>
			<dependency>
				<groupId>com.sun.xml.bind</groupId>
				<artifactId>jaxb-core</artifactId>
				<version>${javax.xml.bind.version}</version>
			</dependency>

			<dependency>
				<groupId>org.jbehave</groupId>
				<artifactId>jbehave-core</artifactId>
				<version>${org.jbehave.version}</version>
				<scope>test</scope>
			</dependency>
			<dependency>
				<groupId>de.codecentric</groupId>
				<artifactId>jbehave-junit-runner</artifactId>
				<version>${de.codecentric.jbehaverunner.version}</version>
				<scope>test</scope>
			</dependency>
			<dependency>
				<groupId>org.jmockit</groupId>
				<artifactId>jmockit</artifactId>
				<version>${jmockit.version}</version>
				<scope>test</scope>
			</dependency>
			<dependency>
				<groupId>ch.qos.logback</groupId>
				<artifactId>logback-classic</artifactId>
				<version>${logback-classic.version}</version>
			</dependency>
			<dependency>
				<groupId>ch.qos.logback</groupId>
				<artifactId>logback-core</artifactId>
				<version>${logback-classic.version}</version>
			</dependency>
		</dependencies>
	</dependencyManagement>

	<dependencies>
		<!-- spring boot -->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web</artifactId>
			<exclusions>
				<exclusion>
					<groupId>com.fasterxml.jackson.core</groupId>
					<artifactId>jackson-databind</artifactId>
				</exclusion>
				<exclusion>
					<groupId>ch.qos.logback</groupId>
					<artifactId>logback-classic</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>ch.qos.logback</groupId>
			<artifactId>logback-classic</artifactId>
		</dependency>
		<dependency>
			<groupId>ch.qos.logback</groupId>
			<artifactId>logback-core</artifactId>
		</dependency>
		<dependency>
			<groupId>com.fasterxml.jackson.core</groupId>
			<artifactId>jackson-databind</artifactId>
		</dependency>
	</dependencies>

	<build>
		<pluginManagement>
			<plugins>
				<plugin>
					<artifactId>maven-compiler-plugin</artifactId>
					<version>${maven.compiler.plugin.version}</version>
					<configuration>
						<source>${java.version}</source>
						<target>${java.version}</target>
					</configuration>
				</plugin>
			</plugins>
		</pluginManagement>
	</build>

	<modules>
		<module>sdm-ws-rest</module>
		<module>secure-data-manager-integration</module>
		<module>secure-data-manager-services</module>
		<module>sdm-db-utils</module>
		<module>assembly</module>
	</modules>
</project>
